ReflectionGenerator::getFunction
ReflectionGenerator::getTrace
ReflectionGenerator
PHP Manual

# ReflectionGenerator::getThis

(PHP 7)

ReflectionGenerator::getThis — Gets the $this value of the generator

### Description

public object ReflectionGenerator::getThis ( void )

Get the $this value that the generator has access to.

### Parameters

This function has no parameters.

### Return Values

Returns the $this value, or `NULL` if the generator was not created in a class context.

### Examples

Example #1 ReflectionGenerator::getThis() example

`<?php
class GenExample
{
public function gen()
{
yield 1;
}
}
$gen = (new GenExample)->gen();
$reflectionGen = new ReflectionGenerator($gen);
var_dump($reflectionGen->getThis());`

The above example will output something similar to:

    object(GenExample)#3 (0) {
    }

### See Also

- ReflectionGenerator::getFunction() - Gets the function name of the generator
- ReflectionGenerator::getTrace() - Gets the trace of the executing generator

ReflectionGenerator::getFunction
ReflectionGenerator::getTrace
ReflectionGenerator
PHP Manual